package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BWwwGkmc;

/**
 * 高考名词Mapper接口
 * 
 * @author mingxue
 * @date 2021-08-19
 */
public interface BWwwGkmcMapper {
    /**
     * 查询高考名词
     * 
     * @param id 高考名词ID
     * @return 高考名词
     */
    public BWwwGkmc selectBWwwGkmcById(Long id);

    /**
     * 上一个名词
     * 
     * @param id
     * @return
     */
    public BWwwGkmc prev(Long id);

    /**
     * 下一个名词
     * 
     * @param id
     * @return
     */
    public BWwwGkmc next(Long id);

    /**
     * 查询高考名词列表
     * 
     * @param bWwwGkmc 高考名词
     * @return 高考名词集合
     */
    public List<BWwwGkmc> selectBWwwGkmcList(BWwwGkmc bWwwGkmc);

    /**
     * 新增高考名词
     * 
     * @param bWwwGkmc 高考名词
     * @return 结果
     */
    public int insertBWwwGkmc(BWwwGkmc bWwwGkmc);

    /**
     * 修改高考名词
     * 
     * @param bWwwGkmc 高考名词
     * @return 结果
     */
    public int updateBWwwGkmc(BWwwGkmc bWwwGkmc);

    /**
     * 删除高考名词
     * 
     * @param id 高考名词ID
     * @return 结果
     */
    public int deleteBWwwGkmcById(Long id);

    /**
     * 批量删除高考名词
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBWwwGkmcByIds(Long[] ids);
}
